%define dist Template
Name: perl-%dist
Version: 2.15
Release: alt1

Summary: Perl Template Toolkit
License: GPL or Artistic
Group: Development/Perl

URL: http://www.template-toolkit.org
Source: %dist-Toolkit-%version.tar.bz2

BuildPreReq: file >= 4.07-alt4

# Added by buildreq2 on Tue Jun 13 2006 (-bi)
BuildRequires: apache-mod_perl perl-AppConfig perl-CGI perl-Date-Calc perl-Encode perl-HTML-Tree perl-Image-Info perl-Pod-POM perl-Text-Autoformat perl-XML-LibXML perl-libwww

%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system.
It was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

%prep
%setup -q -n %dist-Toolkit-%version

%build
%perl_vendor_build TT_DOCS=y TT_SPLASH=y TT_THEME=aqua TT_EXAMPLES=y TT_XS_ENABLE=y TT_XS_DEFAULT=y TT_ACCEPT=y

%install
%perl_vendor_install

%files
%doc README Changes TODO HACKING INSTALL
%perl_vendor_archlib/Template*
%perl_vendor_autolib/Template*
%_bindir/tpage
%_bindir/ttree
%_man1dir/tpage.*
%_man1dir/ttree.*

%changelog
* Tue Jun 13 2006 Alexey Tourbin <at@altlinux.ru> 2.15-alt1
- 2.14 -> 2.15
- excerpt from Changes:
  * Moved all XML plugins and related tests into a separate Template-XML
    distribution.
  * Moved DBI plugin and tests into Template-DBI distribution.
  * Moved GD plugins and tests into Template-GD distribution.

* Wed Oct 06 2004 Alexey Tourbin <at@altlinux.ru> 2.14-alt1
- 2.13 -> 2.14
- disabled gd test 7 because of libpng-1.2.7 optimizations

* Fri Apr 16 2004 Alexey Tourbin <at@altlinux.ru> 2.13-alt1
- 2.10 -> 2.13
- dropped `hack provides', recent file(1) is required for build

* Mon Sep 29 2003 Alexey Tourbin <at@altlinux.ru> 2.10-alt1
- 2.10
- full-fetaured build with all additional modules present
- all test enabled except autoform and dbi

* Tue Aug 19 2003 Alexey Gladkov <legion@altlinux.ru> 2.09-alt1.1
- Temporarily hack provides.

* Thu May 01 2003 Alexey Gladkov <legion@altlinux.ru> 2.09-alt1
- First build for ALTLinux
- spec modifications for Sisyphus
- new version 2.09

* Tue Feb 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.08-2mdk
- removed buildrequires perl(XML::DOM), redundant with perl-libxml-enno

* Sun Sep 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.08-1mdk
- new version
- adjust requires and buildrequires
- misc spec file fixes

* Fri Jul 19 2002 Pixel <pixel@mandrakesoft.com> 2.07-1mdk
- new release
- rebuild for perl 5.8.0
- cleanup
- drop the patch (!?)

* Wed Apr 10 2002 Warly <warly@mandrakesoft.com> 2.06-1mdk
- mandrake packages

* Sat Nov 10 2001 Aleksey Nogin <ayn2@cornell.edu>
- initial package, adapted from perl-Digest-MD5
